// footer styles
.footer{
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  color: $c-white;
  margin-top: 25px;
  padding-top: 25px;
  height: 400px;
  position: relative;
  & p {
    margin: 0;  
    & a {
      color: $c-white;
    }
    
  }
  &__map{
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
  }
  &__contacts{
    max-width: 380px;
    display: flex;
    flex-direction: column;
    // align-items: center;
    justify-content: space-between;
    // width: 100%;
    margin-right: 60px;
    padding: 30px 15px ;
    font-size: $fs-18;
    letter-spacing: $ls-1-2;
    padding-bottom: 25px;
    z-index: 1;
    background: $c-green;

    
  }
  &__phone{
    display: flex;
    flex-direction: column;
    // align-items: flex-end;
    // & .footer__title , & .footer__text{
    //   width: 175px;
    // }
  }
  
  &__title{
    font-weight: $fw-semibold;

    padding-bottom: 5px;
    
  }
  &__text{
    padding-bottom: 5px;
    line-height: 1.5;
    font-weight: 300;
  }
  &__social{
    // margin-bottom: 15px;
    align-self: center;
    margin-top: 5px;
  }
}
////////////////////////////////////
//Responsiwe
////////////////////////////////////
@media #{$desktop}{
  .footer{
    height: 300px;
    &__contacts{
      // width: 100%;
      padding: 15px 5px 15px;
      margin-right: 40px;
      font-size: $fs-16;
    }
  }
}
@media #{$tablet}{
  .footer{
    height: 250px;
    flex-direction: row;
    align-items: flex-start;
    &__contacts{
      justify-content: center;
      justify-content: flex-start;
      padding: 30px 15px 15px;
      order: 2;
      width: 50%;
      margin-right: 0;
      position: relative;
      height: 100%;
    }
    &__map{
      position: relative;
      width: 50%;
      order: 1;
    }
  }
}
  
  
@media #{$phone}{
  .footer{
    width: 100%;
    height: 500px;
    flex-direction: column;
    &__contacts{
      order: 1;
      // align-items: center;
      text-align: center;
      width: 100%;
      max-width: 480px;
      height: 45%;
      
    }
   
    &__map{
      height: 55%;
      
      order:2;
      width: 100%;
    }
    // &__contacts{
    //   height: 180px;      
    // }
    // &__content{
    //   font-size: $fs-12;
    //   margin:40px 0px;
    // }
    // &__title{
    //   display: none;
    // }    
    // &__line{
    //   display: none;
    // }
  }

}